EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_layout_group_size_min_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_layout_group_size_max_get, Eina_Size2D, ((Eina_Size2D){0}));
EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_layout_group_data_get, const char *, NULL, EFL_FUNC_CALL(key), const char *key);
EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_layout_group_part_exist_get, Eina_Bool, 0, EFL_FUNC_CALL(part), const char *part);

static Eina_Bool
_efl_layout_group_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_LAYOUT_GROUP_EXTRA_OPS
#define EFL_LAYOUT_GROUP_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_layout_group_size_min_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_layout_group_size_max_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_layout_group_data_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_layout_group_part_exist_get, NULL),
      EFL_LAYOUT_GROUP_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_layout_group_class_desc = {
   EO_VERSION,
   "Efl.Layout.Group",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_layout_group_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_layout_group_interface_get, &_efl_layout_group_class_desc, NULL, NULL);
